[@bigcommerce/checkout-sdk](../README.md) / Coupon

# Interface: Coupon

## Table of contents

### Properties

- [code](Coupon.md#code)
- [couponType](Coupon.md#coupontype)
- [discountedAmount](Coupon.md#discountedamount)
- [displayName](Coupon.md#displayname)
- [hasMaxLimitReached](Coupon.md#hasmaxlimitreached)
- [id](Coupon.md#id)

## Properties

### code

• **code**: `string`

___

### couponType

• **couponType**: `string`

___

### discountedAmount

• **discountedAmount**: `number`

___

### displayName

• **displayName**: `string`

___

### hasMaxLimitReached

• `Optional` **hasMaxLimitReached**: `boolean`

___

### id

• **id**: `string`
